import torch
import whisper


print("touch.cuda.is_available:", torch.cuda.is_available())  # TrueならOK


model = whisper.load_model("medium").to("cuda")
result = model.transcribe("your_audio_file.mp3", language="ja")
print("whisper model:", result["text"])

